SystemOrganization addCategory: #'Orange-Application'!
SystemOrganization addCategory: #'Orange-Application-AJS'!

ALApplication subclass: #ORAJSDirectiveApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application-AJS'!

!ORAJSDirectiveApplication commentStamp: 'chc 7/22/2015 15:53' prior: 0!
Make your own AngularJS directive.

To stop use ProcessBrowser.
Execute to start: 

	|app|
	app := ORAJSDirectiveApplication new.
	(ALServer on: 8624 application: app) start 


	!

!ORAJSDirectiveApplication methodsFor: 'as yet unclassified' stamp: 'chc 7/22/2015 16:03'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORAJSDirectiveExamplePage new asResource.
	! !

ALApplication subclass: #ORAJSHelloController2Application
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application-AJS'!

!ORAJSHelloController2Application commentStamp: 'chc 7/15/2015 14:44' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

To stop use ProcessBrowser.
Execute to start: 

	|app|
	app := ORAJSHelloController2Application new.
	(ALServer on: 8624 application: app) start 


	!

!ORAJSHelloController2Application methodsFor: 'as yet unclassified' stamp: 'chc 7/15/2015 14:59'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORAJSHelloController2ExamplePage new asResource.
	! !

ALApplication subclass: #ORAJSHelloControllerApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application-AJS'!

!ORAJSHelloControllerApplication commentStamp: 'chc 7/14/2015 16:14' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

To stop use ProcessBrowser.
Execute to start: 

	|app|
	app := ORAJSHelloControllerApplication new.
	(ALServer on: 8624 application: app) start 


	!

!ORAJSHelloControllerApplication methodsFor: 'as yet unclassified' stamp: 'chc 7/14/2015 15:20'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORAJSHelloControllerExamplePage new asResource.
	! !

ALApplication subclass: #ORAJSHelloModuleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application-AJS'!

!ORAJSHelloModuleApplication commentStamp: 'chc 7/14/2015 14:47' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

To stop use ProcessBrowser.
Execute to start: 

	|app|
	app := ORAJSHelloModuleApplication new.
	(ALServer on: 8624 application: app) start 


	!

!ORAJSHelloModuleApplication methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:47'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORAJSHelloModuleExamplePage new asResource.
	! !

ALApplication subclass: #ORAJSHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application-AJS'!

!ORAJSHelloWorldApplication commentStamp: 'chc 7/13/2015 14:15' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

To stop use ProcessBrowser.
Execute to start: 

	|app|
	app := ORAJSHelloWorldApplication new.
	(ALServer on: 8624 application: app) start 


	!

!ORAJSHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:12'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORAJSHelloWorldExamplePage new asResource.
	! !

ALApplication subclass: #ORAuthApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORAuthApplication commentStamp: 'chc 6/22/2015 14:36' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

Execute to start: 

	| authenticator app | 
	authenticator := ALMemoryAuthenticator new. 
	authenticator register: 'chriscunnington'
 					username: 'brasspen'
 					password: 'glassglobe9'.

	app := ORAuthApplication new.
	app addFactory: [:term | ALAuthenticationRelay destination: term
						authenticator: authenticator 
						shunt: nil].
	(ALServer on: 8624 application: app) start 


	!

!ORAuthApplication methodsFor: 'as yet unclassified' stamp: 'chc 7/13/2015 14:09'!
initializeLocator
		locator 
		at: ALPath root 
		put: ORExamplePage new asResource.
	"a simple browser drop down window authentication to access ALCounterExample"
	locator 
		at: ALPath root / 'admin'
		put: (ORAuthBasicResource component: (ALCounterExample new)).
	"send JSON as username and password for auth; uses POST; parameters in request entity"
	locator 
		at: ALPath root / 'json'
		put: ( ORAJSAuthResource component: (ALCounterExample new)).
	
	! !

ALApplication subclass: #ORHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORHelloWorldApplication commentStamp: 'chc 7/6/2015 11:28' prior: 0!
Execute to start: 
	
	|app|
	app := ORHelloWorldApplication new.
	(ALServer on: 8624 application: app) start

!

!ORHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/18/2015 12:26'!
initializeLocator
	locator 
		at: ALPath root 
		put: (ALHtmlResource component: ORHelloWorldPage new)

		! !

ALApplication subclass: #ORSimpleSiteApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORSimpleSiteApplication commentStamp: 'chc 7/6/2015 11:29' prior: 0!
Execute to start:  

	|app|
	app := ORSimpleSiteApplication new.
	(ALServer on: 8624 application: app) start

!

!ORSimpleSiteApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORHead new asResource
	
		! !

ALApplication subclass: #ORSourceFilesApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORSourceFilesApplication commentStamp: 'chc 6/22/2015 14:37' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

Execute to start: 

	| authenticator app | 
	authenticator := ALMemoryAuthenticator new. 
	authenticator register: 'chriscunnington'
 					username: 'brasspen'
 					password: 'glassglobe9'.

	app := ORSourceFilesApplication new.
	app addFactory: [:term | ALAuthenticationRelay destination: term
						authenticator: authenticator 
						shunt: nil].
	(ALServer on: 8624 application: app) start 


	!

!ORSourceFilesApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/19/2015 13:29'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORExamplePage new asResource.
	"a simple authentication to password protect ALCounterExample"
	locator 
		at: ALPath root / 'source'
		put: (ALHtmlResource component: ORDirectoryContents new).
	"list the packages in the image with links to download to disk"
	locator 
		at: ALPath root / 'versions'
		put: ( ALHtmlResource component: ORVersionUploader new).
	! !
